Skip to content
SENS Platform Docs

List accessible root organization units and navigation ancestors.

GET
/v1/tenants/{tenantNumber}/organization-units/roots
curl --request GET \
--url 'https://api.dev.iot-sens.schlossers.at/v1/tenants/1/organization-units/roots?status=active&limit=50' \
--header 'Authorization: Bearer <token>'
tenantNumber
required
integer format: int32
>= 1 <= 2147483647
status
string
Allowed values: active disabled
cursor
string
<= 512 characters

Opaque continuation token; reuse the original filters and scope.

limit
integer
default: 50 >= 1 <= 100

Stable root organization-unit cursor page.

Media typeapplication/json
object
items
required
Array<object>
object
organizationUnitId
required
string format: uuid
tenantId
required
string format: uuid
parentOrganizationUnitId
required
One of:
string format: uuid
key
required
string
/^[a-z0-9][a-z0-9_-]{0,63}$/
name
required
string
>= 1 characters <= 200 characters
status
required
string
Allowed values: active disabled
effectiveStatus
required
string
Allowed values: active disabled
scopeRelation
required
string
Allowed values: accessible ancestor
hasChildren
required

Whether at least one direct child is visible to the current actor.

boolean
metadata
required
object
<= 50 properties
key
additional properties
One of:
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
string
Example
{
"items": [
{
"status": "active",
"effectiveStatus": "active",
"scopeRelation": "accessible"
}
]
}

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store